### R code from vignette source 'geepack-manual.Rnw'
### Encoding: ISO8859-1

###################################################
### code chunk number 1: geepack-manual.Rnw:48-56
###################################################
library(geepack)
timeorder <- rep(1:5, 6)
tvar      <- timeorder + rnorm(length(timeorder))
idvar <- rep(1:6, each=5)
uuu   <- rep(rnorm(6), each=5)
yvar  <- 1 + 2*tvar + uuu + rnorm(length(tvar))
simdat <- data.frame(idvar, timeorder, tvar, yvar)
head(simdat,12)


###################################################
### code chunk number 2: geepack-manual.Rnw:65-67
###################################################
mod1 <- geeglm(yvar~tvar, id=idvar, data=simdat, corstr="ar1")
mod1


###################################################
### code chunk number 3: geepack-manual.Rnw:85-90
###################################################
set.seed(123)
library(doBy)
simdatPerm <- simdat[sample(nrow(simdat)),]
simdatPerm <- orderBy(~idvar, simdatPerm)
head(simdatPerm)


###################################################
### code chunk number 4: geepack-manual.Rnw:100-102
###################################################
mod2 <- geeglm(yvar~tvar, id=idvar, data=simdatPerm, corstr="ar1")
mod2


###################################################
### code chunk number 5: geepack-manual.Rnw:109-111
###################################################
simdatPerm2 <- orderBy(~timeorder, data=simdat)
geeglm(yvar~tvar, id=idvar, data=simdatPerm2, corstr="ar1")


###################################################
### code chunk number 6: geepack-manual.Rnw:124-128
###################################################
wav <- simdatPerm$timeorder
wav
mod3 <- geeglm(yvar~tvar, id=idvar, data=simdatPerm, corstr="ar1", waves=wav)
mod3


###################################################
### code chunk number 7: geepack-manual.Rnw:137-143
###################################################
cor.fixed <- matrix(c(1    , 0.5  , 0.25,  0.125, 0.125,
                      0.5  , 1    , 0.25,  0.125, 0.125,
                      0.25 , 0.25 , 1   ,  0.5  , 0.125,
                      0.125, 0.125, 0.5  , 1    , 0.125,
                      0.125, 0.125, 0.125, 0.125, 1     ), 5, 5)
cor.fixed


###################################################
### code chunk number 8: geepack-manual.Rnw:151-153
###################################################
zcor <- fixed2Zcor(cor.fixed, id=simdatPerm$idvar, waves=simdatPerm$timeorder)
zcor


###################################################
### code chunk number 9: geepack-manual.Rnw:162-164
###################################################
mod4 <- geeglm(yvar~tvar, id=idvar, data=simdatPerm, corstr="fixed", zcor=zcor)
mod4


